#!/bin/bash

ZAP=../ex1/zap.sh
ARCHIVE=../ex2/archive.sh
WHICHSHELL=../ex3/whichshell.sh

stampa_menu(){
    echo "Inserire l'operazione da effettuare:"
    echo "1 - uccidere un insieme di processi;"
    echo "2 - creare un archivio tgz di backup per un insieme di file;"
    echo "3 - recuperare informazioni su un insieme di utenti;"
    echo "0 - uscire da questo menu."
}

lista_parametri=""

leggi_parametri(){
    lista_parametri=""
    echo "Inserisci il primo parametro"
    while read valore
    do
        if [ -z $valore ]
        then
            return
        fi
        lista_parametri="$lista_parametri $valore"
        echo "Inserisci il parametro successivo (premi invio per terminare)"
    done
}

zap(){
    leggi_parametri
    bash $ZAP $lista_parametri
}

archive(){
    leggi_parametri
    bash $ARCHIVE $lista_parametri
}

whichshell(){
    leggi_parametri
    bash $WHICHSHELL $lista_parametri
}

stampa_menu
read scelta
while [ $scelta -ne 0 ]
do
    case $scelta in
        0)
            exit;;
        1)
            zap;;
        2)
            archive;;
        3)
            whichshell;;
        *)
            echo "ERRORE: il valore inserito non e' corretto, il programma verra' terminato"
            exit 1;;
    esac
    stampa_menu
    read scelta
done
